what you don't know can hurt you
Home Files News &[SERVICES_TAB]About Contact Add New

Ubuntu Security Notice USN-4689-3

Ubuntu Security Notice USN-4689-3
Posted Jan 20, 2021
Authored by Ubuntu | Site security.ubuntu.com

Ubuntu Security Notice 4689-3 - It was discovered that the NVIDIA GPU display driver for the Linux kernel contained a vulnerability that allowed user-mode clients to access legacy privileged APIs. A local attacker could use this to cause a denial of service or escalate privileges. It was discovered that the NVIDIA GPU display driver for the Linux kernel did not properly validate a pointer received from userspace in some situations. A local attacker could use this to cause a denial of service. Various other issues were also addressed.

tags | advisory, denial of service, kernel, local
systems | linux, ubuntu
advisories | CVE-2021-1052, CVE-2021-1053, CVE-2021-1056
SHA-256 | e8db2b2e3178e9abf0a0415fe5eb950cbf9e4ff34390aab1d8e076e40ba5ab01

Ubuntu Security Notice USN-4689-3

Change Mirror Download
==========================================================================
Ubuntu Security Notice USN-4689-3
January 20, 2021

nvidia-graphics-drivers-418-server, nvidia-graphics-drivers-450-server
vulnerabilities
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 20.10
- Ubuntu 20.04 LTS
- Ubuntu 18.04 LTS

Summary:

Several security issues were fixed in NVIDIA graphics drivers.

Software Description:
- nvidia-graphics-drivers-418-server: NVIDIA Server Driver
- nvidia-graphics-drivers-450-server: NVIDIA Server Driver

Details:

It was discovered that the NVIDIA GPU display driver for the Linux kernel
contained a vulnerability that allowed user-mode clients to access legacy
privileged APIs. A local attacker could use this to cause a denial of
service or escalate privileges. (CVE-2021-1052)

It was discovered that the NVIDIA GPU display driver for the Linux kernel
did not properly validate a pointer received from userspace in some
situations. A local attacker could use this to cause a denial of service.
(CVE-2021-1053)

Xinyuan Lyu discovered that the NVIDIA GPU display driver for the Linux
kernel did not properly restrict device-level GPU isolation. A local
attacker could use this to cause a denial of service or possibly expose
sensitive information. (CVE-2021-1056)

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 20.10:
nvidia-dkms-418-server 418.181.07-0ubuntu0.20.10.1
nvidia-dkms-440-server 450.102.04-0ubuntu0.20.10.1
nvidia-dkms-450-server 450.102.04-0ubuntu0.20.10.1
nvidia-kernel-common-418-server 418.181.07-0ubuntu0.20.10.1
nvidia-kernel-common-440-server 450.102.04-0ubuntu0.20.10.1
nvidia-kernel-common-450-server 450.102.04-0ubuntu0.20.10.1
nvidia-kernel-source-418-server 418.181.07-0ubuntu0.20.10.1
nvidia-kernel-source-440-server 450.102.04-0ubuntu0.20.10.1
nvidia-kernel-source-450-server 450.102.04-0ubuntu0.20.10.1
nvidia-utils-418-server 418.181.07-0ubuntu0.20.10.1
nvidia-utils-440-server 450.102.04-0ubuntu0.20.10.1
nvidia-utils-450-server 450.102.04-0ubuntu0.20.10.1
xserver-xorg-video-nvidia-418-server 418.181.07-0ubuntu0.20.10.1
xserver-xorg-video-nvidia-440-server 450.102.04-0ubuntu0.20.10.1
xserver-xorg-video-nvidia-450-server 450.102.04-0ubuntu0.20.10.1

Ubuntu 20.04 LTS:
nvidia-dkms-418-server 418.181.07-0ubuntu0.20.04.1
nvidia-dkms-440-server 450.102.04-0ubuntu0.20.04.1
nvidia-dkms-450-server 450.102.04-0ubuntu0.20.04.1
nvidia-kernel-common-418-server 418.181.07-0ubuntu0.20.04.1
nvidia-kernel-common-440-server 450.102.04-0ubuntu0.20.04.1
nvidia-kernel-common-450-server 450.102.04-0ubuntu0.20.04.1
nvidia-kernel-source-418-server 418.181.07-0ubuntu0.20.04.1
nvidia-kernel-source-440-server 450.102.04-0ubuntu0.20.04.1
nvidia-kernel-source-450-server 450.102.04-0ubuntu0.20.04.1
nvidia-utils-418-server 418.181.07-0ubuntu0.20.04.1
nvidia-utils-440-server 450.102.04-0ubuntu0.20.04.1
nvidia-utils-450-server 450.102.04-0ubuntu0.20.04.1
xserver-xorg-video-nvidia-418-server 418.181.07-0ubuntu0.20.04.1
xserver-xorg-video-nvidia-440-server 450.102.04-0ubuntu0.20.04.1
xserver-xorg-video-nvidia-450-server 450.102.04-0ubuntu0.20.04.1

Ubuntu 18.04 LTS:
nvidia-dkms-418-server 418.181.07-0ubuntu0.18.04.1
nvidia-dkms-440-server 450.102.04-0ubuntu0.18.04.1
nvidia-dkms-450-server 450.102.04-0ubuntu0.18.04.1
nvidia-kernel-common-418-server 418.181.07-0ubuntu0.18.04.1
nvidia-kernel-common-440-server 450.102.04-0ubuntu0.18.04.1
nvidia-kernel-common-450-server 450.102.04-0ubuntu0.18.04.1
nvidia-kernel-source-418-server 418.181.07-0ubuntu0.18.04.1
nvidia-kernel-source-440-server 450.102.04-0ubuntu0.18.04.1
nvidia-kernel-source-450-server 450.102.04-0ubuntu0.18.04.1
nvidia-utils-418-server 418.181.07-0ubuntu0.18.04.1
nvidia-utils-440-server 450.102.04-0ubuntu0.18.04.1
nvidia-utils-450-server 450.102.04-0ubuntu0.18.04.1
xserver-xorg-video-nvidia-418-server 418.181.07-0ubuntu0.18.04.1
xserver-xorg-video-nvidia-440-server 450.102.04-0ubuntu0.18.04.1
xserver-xorg-video-nvidia-450-server 450.102.04-0ubuntu0.18.04.1

This update uses a new upstream release, which includes additional
bug fixes. After a standard system update you need to reboot your
computer to make all the necessary changes.

References:
https://usn.ubuntu.com/4689-3
https://usn.ubuntu.com/4689-1
CVE-2021-1052, CVE-2021-1053

Package Information:

https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-418-server/418.181.07-0ubuntu0.20.10.1

https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-450-server/450.102.04-0ubuntu0.20.10.1

https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-418-server/418.181.07-0ubuntu0.20.04.1

https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-450-server/450.102.04-0ubuntu0.20.04.1

https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-418-server/418.181.07-0ubuntu0.18.04.1

https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-450-server/450.102.04-0ubuntu0.18.04.1
Login or Register to add favorites

File Archive:

May 2024

  • Su
  • Mo
  • Tu
  • We
  • Th
  • Fr
  • Sa
  • 1
    May 1st
    44 Files
  • 2
    May 2nd
    5 Files
  • 3
    May 3rd
    11 Files
  • 4
    May 4th
    0 Files
  • 5
    May 5th
    0 Files
  • 6
    May 6th
    28 Files
  • 7
    May 7th
    3 Files
  • 8
    May 8th
    4 Files
  • 9
    May 9th
    54 Files
  • 10
    May 10th
    12 Files
  • 11
    May 11th
    0 Files
  • 12
    May 12th
    0 Files
  • 13
    May 13th
    17 Files
  • 14
    May 14th
    11 Files
  • 15
    May 15th
    17 Files
  • 16
    May 16th
    13 Files
  • 17
    May 17th
    22 Files
  • 18
    May 18th
    0 Files
  • 19
    May 19th
    0 Files
  • 20
    May 20th
    17 Files
  • 21
    May 21st
    18 Files
  • 22
    May 22nd
    7 Files
  • 23
    May 23rd
    111 Files
  • 24
    May 24th
    0 Files
  • 25
    May 25th
    0 Files
  • 26
    May 26th
    0 Files
  • 27
    May 27th
    0 Files
  • 28
    May 28th
    0 Files
  • 29
    May 29th
    0 Files
  • 30
    May 30th
    0 Files
  • 31
    May 31st
    0 Files

Top Authors In Last 30 Days

File Tags

Systems

packet storm

© 2022 Packet Storm. All rights reserved.

Services
Security Services
Hosting By
Rokasec
close